<div class="container">
    <div class="row">
        <div class="col-12 ms-login-container d-flex flex-column justify-content-center">
            <div>
                <h2 class="text-center px-3">Login</h2>
            </div>
            <div class="d-flex justify-content-center">
                <form [formGroup]="loginForm" (ngSubmit)="onLogin()">
                    <div class="row my-3">
                        <div class="col-12">
                            <input 
                                type="email" 
                                class="form-control" 
                                id="email" 
                                placeholder="Email"
                                formControlName="email">
                            <small class="text-danger" *ngIf="email.invalid && (email.dirty || email.touched)">Enter a valid email adress!</small>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-12">
                            <input 
                                type="password" 
                                class="form-control" 
                                id="password" 
                                placeholder="Password"
                                formControlName="password">
                            <small class="text-danger" *ngIf="password.invalid && (password.dirty || password.touched)">Enter a valid
                                password!</small>
                        </div>
                    </div>
                    <div class="d-flex justify-content-center">
                        <button 
                            type="submit" 
                            class="btn btn-secondary"
                            [disabled]="!loginForm.valid">Login</button>
                    </div>   
                </form> 
            </div>
            <div class="mt-5 text-center">
                <p class="mb-1">Don't have an account?</p>
                <a class="ms-link-color" (click)="onSignupClick()">Sign up</a>
            </div>
        </div>
    </div>
</div>
